%define upstream_name    Module-Install-AutoLicense
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Module::Install extension to automagically generate LICENSE files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Module::Install::AutoLicense is a the Module::Install manpage extension
that generates a 'LICENSE' file automatically whenever the author runs
'Makefile.PL'. On the user side it does nothing.

When 'make distclean' is invoked by the author, the 'LICENSE' is removed.

The appropriate license to determined from the meta provided with the
'license' command and the holder of the license from the 'author' command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 369842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 shlomif <shlomif> 0.80.0-1.mga2
+ Revision: 203481
- imported package perl-Module-Install-AutoLicense

